Mureka 9.5 Podcast Generation
Tích hợp
mureka/api/generate/podcast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/podcast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/podcast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/vi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "mureka/api/generate/podcast",
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}
}
Gọi mô hình Mureka 9.5 Podcast Generation (mureka/api/generate/podcast) qua Doitong API. Tài liệu cho tác nhân: https://doitong.com/vi/developers/models/mureka/api/generate/podcast.md
POST https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}
Nếu trạng thái phản hồi là "queued" hoặc "running", hãy thăm dò GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 cho đến khi trạng thái là "succeeded"; tệp nằm trong outputs[].url. POST https://api.doitong.com/v1/quote/mureka/api/generate/podcast với cùng nội dung sẽ trả về giá chính xác trước khi chạy.
Yêu cầu này: ≈0,019 $ 19 tín dụng API Chạy trên trang này
Khóa API mới của bạn. Khóa này chỉ hiển thị lúc này và đã được chèn vào mã cũng như trường khóa API bên dưới. Hãy giữ bí mật: không bao giờ đưa khóa này vào mã chạy trong trình duyệt.
Kết quả đầu tiên của bạn sẽ xuất hiện ở đây
Tạo một yêu cầu bên dưới và chạy bằng khóa API của bạn. Đầu ra được sao chép vào bộ lưu trữ của chúng tôi, giữ vĩnh viễn hoặc 7 ngày miễn phí.
Tạo một yêu cầu
Các điều khiển được tạo từ lược đồ mô hình. Mã và giá sẽ cập nhật khi bạn thay đổi chúng.
/run/mureka/api/generate/podcast?wait=20
báo giá → 0,019 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/podcast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/podcast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "mureka/api/generate/podcast",
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
},
"wait_seconds": 20
}
}
}
Chạy yêu cầu này
Key của bạn vẫn nằm trong trình duyệt này: key chỉ được gửi đến Doitong API và chỉ được lưu trong localStorage nếu bạn chọn Ghi nhớ. Nhận khóa API
Giới thiệu về Mureka 9.5 Podcast Generation
Mảng `conversations` bắt buộc chứa từ 1 đến 10 lượt theo thứ tự, mỗi lượt gồm văn bản và lựa chọn giọng nói. Kết quả là tệp âm thanh, thời lượng tính bằng mili giây nếu có và `song_id` có thể tái sử dụng.
Tham số
conversationsbắt buộc
conversations[].textbắt buộc
conversations[].voicebắt buộc
enable_safety_checkertùy chọn
Đầu ra
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "mureka/api/generate/podcast",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 19,
"usd": "0.019",
"charged": 19,
"refunded": 0
},
"input": {
"conversations": [
{
"text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"voice": "Ethan"
}
]
},
"output": {
"song_id": "string",
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"duration": 5,
"lyrics_sections": [
{
"section_type": "intro",
"start": 1,
"end": 1,
"lines": [
{}
]
}
]
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Các trường đầu ra
- song_id
- string | nullMã định danh âm thanh có thể tái sử dụng cho các điểm cuối chấp nhận song_id.
- audio
- object {url, content_type, file_name, file_size}Tệp âm thanh được tạo sinh.
- duration
- integer | nullĐộ dài âm thanh được tạo, tính bằng mili giây, nếu có.
- lyrics_sections
- array of object {section_type, start, end, lines} | nullCác phần lời bài hát kèm thông tin thời gian của âm thanh được tạo, nếu có.
Các biến thể Mureka 9.5 khác
Thêm mô hình: Âm thanh
Dành cho tác nhân AI: trang này ở dạng Markdown tại https://doitong.com/vi/developers/models/mureka/api/generate/podcast.md. Tất cả mô hình và hướng dẫn: https://doitong.com/developers/llms.txt